Bug 112277 - MD5 and SHA256 mismatch for science/hdf5
Summary: MD5 and SHA256 mismatch for science/hdf5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-30 21:50 UTC by Chris Rees
Modified: 2007-06-24 20:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2007-04-30 21:50:03 UTC
/usr/ports/distinfo is wrong. Perhaps it wasn't updated when the new location for the distfile was found, or whatever, but I was unhappy about forcing a failed md5sum, so I checked the official site, found the md5 for the tar, and checked against that, so I found my own md5sum and SHA256 for them...

Here's the correct distinfo contents:

MD5 (hdf5-1.6.5.tar.gz) = 67187b3253b89f1f41756b7fd4396ecf

SHA256 (hdf5-1.6.5.tar.gz) = 85b7cfc1e34db544fa93f5bf7effe189a5e1eb97f0cfa7b212adc11915a756b2
SIZE (hdf5-1.6.5.tar.gz) = 4930666


Perhaps someone could commit this please...

Fix: 

Here's the correct distinfo contents:

MD5 (hdf5-1.6.5.tar.gz) = 67187b3253b89f1f41756b7fd4396ecf

SHA256 (hdf5-1.6.5.tar.gz) = 85b7cfc1e34db544fa93f5bf7effe189a5e1eb97f0cfa7b212adc11915a756b2
SIZE (hdf5-1.6.5.tar.gz) = 4930666


Perhaps someone could commit this please...

Sorry, I'm not sure how to get diffs
How-To-Repeat: Try to fetch and compile science/hdf5
Comment 1 Edwin Groothuis freebsd_committer 2007-04-30 21:50:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-06-17 23:56:14 UTC
State Changed
From-To: feedback->open

maintainer feedback timeout
Comment 3 Tom McLaughlin freebsd_committer 2007-06-24 20:51:55 UTC
State Changed
From-To: open->closed

Fix committed by araujo on 2007/05/01.